## sphinx 1.5.3

=== Makefile ===
PYTHON ?= python

.PHONY: all style-check clean clean-pyc clean-patchfiles clean-backupfiles \
        clean-generated pylint reindent test covertest build

DONT_CHECK = -i build -i dist -i sphinx/style/jquery.js \
             -i sphinx/pycode/pgen2 -i sphinx/util/smartypants.py \
             -i .ropeproject -i doc/_build -i tests/path.py \
             -i utils/convert.py \
             -i tests/typing_test_data.py \
             -i tests/test_autodoc_py35.py \
             -i tests/roots/test-warnings/undecodable.rst \
             -i tests/build \
             -i tests/roots/test-warnings/undecodable.rst \
             -i sphinx/search/da.py \
             -i sphinx/search/de.py \
             -i sphinx/search/en.py \
             -i sphinx/search/es.py \
             -i sphinx/search/fi.py \
             -i sphinx/search/fr.py \
             -i sphinx/search/hu.py \
             -i sphinx/search/it.py \
             -i sphinx/search/ja.py \
             -i sphinx/search/nl.py \
             -i sphinx/search/no.py \
             -i sphinx/search/pt.py \
             -i sphinx/search/ro.py \
             -i sphinx/search/ru.py \
             -i sphinx/search/sv.py \
             -i sphinx/search/tr.py \
             -i .tox

all: clean-pyc clean-backupfiles style-check test

style-check:
	@$(PYTHON) utils/check_sources.py $(DONT_CHECK) .

clean: clean-pyc clean-pycache clean-patchfiles clean-backupfiles clean-generated clean-testfiles clean-buildfiles clean-mypyfiles

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

clean-pycache:
	find . -name __pycache__ -exec rm -rf {} +

clean-patchfiles:
	find . -name '*.orig' -exec rm -f {} +
	find . -name '*.rej' -exec rm -f {} +

clean-backupfiles:
	find . -name '*~' -exec rm -f {} +
	find . -name '*.bak' -exec rm -f {} +
	find . -name '*.swp' -exec rm -f {} +
	find . -name '*.swo' -exec rm -f {} +

clean-generated:
	find . -name '.DS_Store' -exec rm -f {} +
	rm -rf doc/_build/
	rm -f sphinx/pycode/*.pickle
	rm -f utils/*3.py*
	rm -f utils/regression_test.js

clean-testfiles:
	rm -rf tests/.coverage
	rm -rf tests/build
	rm -rf .tox/
	rm -rf .cache/

clean-buildfiles:
	rm -rf build

clean-mypyfiles:
	rm -rf .mypy_cache/

pylint:
	@pylint --rcfile utils/pylintrc sphinx

reindent:
	@$(PYTHON) utils/reindent.py -r -n .

test:
	@cd tests; $(PYTHON) run.py --ignore py35 -v $(TEST)

test-async:
	@cd tests; $(PYTHON) run.py -v $(TEST)

covertest:
	@cd tests; $(PYTHON) run.py -v --cov=sphinx --junitxml=.junit.xml $(TEST)

build:
	@$(PYTHON) setup.py build

=== debian/changelog ===
sphinx (1.5.3-1ubuntu0.1) zesty; urgency=medium

  * Update jstests for compatibility with WebKitGTK+ 2.16.2 (LP: #1690574).
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 14 May 2017 17:33:00 +0300

sphinx (1.5.3-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on texlive-luatex, to make xetex tests not be skipped.
  * Convert from git-dpm to patches unapplied format.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Mar 2017 12:37:21 +0300

sphinx (1.5.2-2) experimental; urgency=medium

  * dh_sphinxdoc: Properly detect sourcelink_suffix and use it when looking
    for source and HTML files.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Jan 2017 12:42:06 +0300

sphinx (1.5.2-1) experimental; urgency=medium

  * New upstream release.
    - Drop fix_xapian_search.diff, applied upstream.
    - Rebase other patches for test system changes to pytest.
  * Bump python[3]-requests dependency to 2.4.0.
  * Switch from nose to pytest, following upstream.
  * Update one number in debian/jstest/run-tests for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Jan 2017 19:45:18 +0300

sphinx (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop docutils_0.13.diff, applied upstream.
  * Rebase other patches.
  * Bump X-Python-Version to 2.7 and X-Python3-Version to 3.4, following
    upstream.
  * Depend on python[3]-requests and build-depend on python[3]-html5lib.
  * Build-depend and recommend python-enum34 (for autodoc extension).
  * Drop texlive-generic-extra dependency, iftex is no longer used.
  * Stop unbundling fncychap.sty (no longer bundled), iftex.sty and
    newfloat.sty (no longer used).
  * Skip test_meta_keys_are_handled_for_language_de, fails without snowball.
  * Backport upstream change to fix Xapian search adapter crashes
    (fix_xapian_search.diff).
  * Skip tests that require internet access (skip_tests_network.diff).
  * Update dh_sphinxdoc for upstream changes to document extensions.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Move the new templates directory to sphinx-common package.
  * Move the non-minified JS files to sphinx-common package.
  * Add allow-stderr restriction for the sphinx-doc autopkgtest.
  * Clean and do not install the sphinx/locale/.tx/config file.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 23 Dec 2016 11:34:31 +0300

=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Homepage: http://sphinx-doc.org/
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: dh-python,
  dh-strip-nondeterminism,
  python-all (>= 2.6.6-4~), python3-all (>= 3.3.3-1~),
  python-six (>= 1.5), python3-six (>= 1.5),
  python-setuptools (>= 0.6c5-1~), python3-setuptools,
  python-docutils (>= 0.11), python3-docutils (>= 0.11),
  python-pygments (>= 2.1.1), python3-pygments (>= 2.1.1),
  python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
  python-sqlalchemy, python3-sqlalchemy,
  python-whoosh, python3-whoosh,
  python-pytest, python3-pytest,
  python-mock, python3-mock,
  python-babel (>= 1.3), python3-babel (>= 1.3),
  python-alabaster (>= 0.7), python3-alabaster (>= 0.7),
  python-imagesize, python3-imagesize,
  python-requests (>= 2.4.0), python3-requests (>= 2.4.0),
  python-html5lib, python3-html5lib,
  python-enum34,
  libjs-jquery (>= 1.4), libjs-underscore,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
  texlive-luatex, texlive-xetex,
  dvipng,
  graphviz,
  perl
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git

Package: python-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
  python-six (>= 1.5),
  python-docutils (>= 0.11),
  python-pygments (>= 2.0),
  python-jinja2 (>= 2.3),
  python-babel (>= 1.3),
  python-alabaster (>= 0.7),
  python-imagesize,
  python-requests (>= 2.4.0),
  sphinx-common (= ${source:Version})
Recommends: python-enum34, python-pil
Suggests:
  python-sphinx-rtd-theme,
  libjs-mathjax, dvipng,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
  texlive-generic-extra,
  sphinx-doc
Breaks:
  python-sphinxcontrib.issuetracker (<< 0.11-1),
  python-sphinxcontrib.spelling (<< 2.1.1-1)
Description: documentation generator for Python projects (implemented in Python 2)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 2 modules and command line utilities.

Package: python3-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
  python3-six (>= 1.5),
  python3-docutils (>= 0.11),
  python3-pygments (>= 2.0),
  python3-jinja2 (>= 2.3),
  python3-babel (>= 1.3),
  python3-alabaster (>= 0.7),
  python3-imagesize,
  python3-requests (>= 2.4.0),
  sphinx-common (= ${source:Version})
Recommends: python3-pil
Suggests:
  python3-sphinx-rtd-theme,
  libjs-mathjax, dvipng,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
  texlive-generic-extra,
  sphinx-doc
Description: documentation generator for Python projects (implemented in Python 3)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 3 modules.

Package: sphinx-common
Architecture: all
Depends: ${misc:Depends}, 
  libjs-sphinxdoc (= ${source:Version})
Recommends: python-sphinx | python3-sphinx
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Description: documentation generator for Python projects - common data
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes manual pages, templates, translations and other data
 files.

Package: sphinx-doc
Section: doc
Architecture: all
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Depends: docutils-doc, ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation generator for Python projects - documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes documentation of Sphinx itself.

Package: libjs-sphinxdoc
Section: web
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1)
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/python/python.mk

export NO_PKG_MANGLE=1
export PYTHONWARNINGS=d
export PYTHONHASHSEED=random
export http_proxy=http://127.0.0.1:9/

here = $(dir $(firstword $(MAKEFILE_LIST)))/..
debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
upstream_version = $(subst ~,,$(firstword $(subst -, ,$(debian_version))))

locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))
scripts = $(sort $(basename $(wildcard sphinx-*.py)))

debroot = debian/tmp/
py2_libdir = $(call py_libdir,$(shell pyversions -d))
py3_libdir = $(call py_libdir,$(shell py3versions -d))
javascript_path = /usr/share/javascript/sphinxdoc/1.0/

.PHONY: clean
clean:
	dh_clean 
	find . -name '*.py[co]' -delete
	rm -rf build tests/build
	rm -f $(basename $(wildcard debian/*.in))
	rm -f sphinx/pycode/Grammar*.pickle
	rm -f sphinx/locale/*/LC_MESSAGES/sphinx.js
	rm -f sphinx/locale/.DS_Store
	rm -rf sphinx/locale/.tx
	rm -f Sphinx.egg-info/SOURCES.txt
	rm -f sphinx/texinputs/needspace.sty

.PHONY: build build-arch build-indep
build build-indep: build-stamp

sphinx/themes/basic/static/%.js:
	ln -sf /usr/share/javascript/$(*)/$(*).js $(@)
       
build/javascript-stamp: $(addprefix sphinx/themes/basic/static/,jquery.js underscore.js)
	echo $(^) | xargs -n1 | xargs -t -I {} [ -L {} ]
	mkdir -p $(dir $@)
	touch $(@)

build-stamp: sphinx-build.py build/javascript-stamp
	python ./sphinx-build.py -T doc build/html/
	rm -f build/html/_static/jquery-*.js build/html/_static/underscore-*.js
	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
	rm -rf build/man
	cp -rl build/html build/man
	python ./sphinx-build.py -T -b man doc build/man
	python setup.py build --build-lib build/py2/
	python3 setup.py build --build-lib build/py3/
	python setup.py compile_catalog
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	# FIXME: https://github.com/sphinx-doc/sphinx/issues/703
	export LC_ALL=C.UTF-8 && \
	set -ex; for py in $(shell pyversions -r) $(shell py3versions -r); do \
		if [ "$$py" \< "python3.5" ]; then \
			$$py tests/run.py --verbose --ignore tests/py35; \
		else \
			$$py tests/run.py --verbose; \
		fi; \
	done
	rm -rf build/py2/tests/ build/py3/tests/
endif
	# import sphinx.pycode to generate grammar pickle files
	cd build/py2/ && PYTHONHASHSEED=0 python -c "import sphinx.pycode"
	cd build/py3/ && PYTHONHASHSEED=0 python3 -c "import sphinx.pycode"
	touch build-stamp

.PHONY: binary binary-arch binary-indep
binary binary-indep: build-stamp
	dh_testroot
	dh_installdirs
	python setup.py \
		build --build-lib build/py2/ \
		install --no-compile --install-layout=deb --root $(debroot)
	python3 setup.py \
		build --build-lib build/py3/ \
		install --no-compile --install-layout=deb --root $(debroot)
	rm -f $(debroot)/usr/lib/python*/*-packages/Sphinx-*.egg-info/SOURCES.txt
	# move static files outside dist-packages
	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
		$(debroot)$(py2_libdir)/sphinx/__init__.py \
		$(debroot)$(py3_libdir)/sphinx/__init__.py
	rm -rf $(debroot)/usr/share/sphinx/
	mkdir -p $(debroot)/usr/share/sphinx/
	cd $(debroot) && mv -t usr/share/sphinx/ \
		.$(py2_libdir)/sphinx/templates \
		.$(py2_libdir)/sphinx/texinputs \
		.$(py2_libdir)/sphinx/themes
	mkdir -p $(debroot)/usr/share/sphinx/pycode/
	cd $(debroot) && mv -t usr/share/sphinx/pycode/ \
		.$(py2_libdir)/sphinx/pycode/Grammar*
	cd $(debroot) && mv -t usr/share/sphinx/pycode/ \
		.$(py3_libdir)/sphinx/pycode/Grammar*
	mkdir -p $(debroot)/usr/share/sphinx/ext/autosummary/
	cd $(debroot) && mv -t usr/share/sphinx/ext/autosummary/ \
		.$(py2_libdir)/sphinx/ext/autosummary/templates
	mkdir -p $(debroot)/usr/share/sphinx/search/
	cd $(debroot) && mv -t usr/share/sphinx/search/ \
		.$(py2_libdir)/sphinx/search/non-minified-js
	cd $(debroot)$(py3_libdir)/sphinx/ && \
		rm -rf templates/ texinputs/ themes/ ext/autosummary/templates/ \
			search/non-minified-js/
	set -e -x; \
	cd $(debroot) && \
		for lang in $(locales); \
		do \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js \
				usr/share/sphinx/locale/$$lang/sphinx.js; \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo \
				usr/share/locale/$$lang/LC_MESSAGES/sphinx.mo; \
		done
	cd $(debroot)$(py2_libdir)/sphinx/locale && rm -rf sphinx.pot */
	cd $(debroot)$(py3_libdir)/sphinx/locale && rm -rf sphinx.pot */
	# install scripts not touched by easy install
	set -e -x; \
	for python in python2 python3; do \
		dir=$(debroot)/usr/share/sphinx/scripts/$$python/; \
		mkdir -p $$dir; \
		for script in $(scripts); do \
			sed -e "1 s,#!.*,#!/usr/bin/$${python%2}," $$script.py \
			> $$dir/$$script; \
			rm -f $(debroot)/usr/bin/$$script; \
		done; \
		chmod 755 $$dir/*; \
	done
	set -e -x; \
	for maintscript in $(wildcard debian/sphinx-common.*.in); do \
		sed -e 's/@SCRIPTS@/$(scripts)/' $$maintscript > $${maintscript%.in}; \
	done
	# Move JavaScript code to libjs-sphinxdoc:
	debian/dh-sphinxdoc/install-js debian/libjs-sphinxdoc/$(javascript_path)/
	rm -f $(debroot)/usr/share/sphinx/themes/basic/static/underscore-*.js
	rm -f $(debroot)/usr/share/sphinx/themes/basic/static/jquery-*.js
	rm -f $(debroot)/usr/share/sphinx/themes/bizstyle/static/css3-mediaqueries_src.js
	set -e; \
	for js in $$(find $(debroot)/usr/share/sphinx/themes/ -name '*.js' -a '!' -name 'websupport.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done
	dh_install -p sphinx-common -X /scripts/
	dh_install -N sphinx-common --fail-missing
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_lintian
	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
	dh_installexamples
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
ifneq ($(shell grep -h '^[.]TH' debian/*.1 | cut -d ' ' -f 6-7 | sort -u), "Sphinx $(upstream_version)")
	$(warning W: version numbers in the manual pages are out of date)
endif
	dh_installman
	dh_python2 -p python-sphinx
	dh_python3 -p python3-sphinx --no-guessing-deps
	dh_strip_nondeterminism
	dh_compress -X.py -X.rst -X.json -X.txt
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet

## sphinx 1.5.6

=== Makefile ===
--- 
+++ 
@@ -56,6 +56,7 @@
 
 clean-generated:
 	find . -name '.DS_Store' -exec rm -f {} +
+	rm -rf Sphinx.egg-info/
 	rm -rf doc/_build/
 	rm -f sphinx/pycode/*.pickle
 	rm -f utils/*3.py*

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = python ../sphinx-build.py
SPHINXPROJ   = sphinx
SOURCEDIR    = .
BUILDDIR     = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== tests/root/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and an HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

=== debian/changelog ===
sphinx (1.5.6-2) unstable; urgency=medium

  * Drop Patch-Name headers, not needed with gbp-pq.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Jul 2017 12:05:28 +0300

sphinx (1.5.6-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Update jstests for compatibility with WebKitGTK+ 2.16.2.
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.
  * Update debian/copyright for upstream LICENSE change.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 May 2017 11:31:42 +0300

sphinx (1.5.5-1) experimental; urgency=medium

  * New upstream release.
  * dh_sphinxdoc: Use a better message for missing sourcelink_suffix, and
    downgrade this error to a warning.
  * Clean some files which erroneously got into the upstream tarball.
  * Sync debian/copyright with upstream AUTHORS file.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Apr 2017 23:27:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sphinx
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: http://sphinx-doc.org/
 Build-Depends: debhelper (>= 9)
@@ -32,7 +31,7 @@
   perl
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	rm -f sphinx/locale/*/LC_MESSAGES/sphinx.js
 	rm -f sphinx/locale/.DS_Store
 	rm -rf sphinx/locale/.tx
-	rm -f Sphinx.egg-info/SOURCES.txt
+	rm -f Sphinx.egg-info/SOURCES.txt Sphinx.egg-info/*-e
 	rm -f sphinx/texinputs/needspace.sty
 
 .PHONY: build build-arch build-indep

=== debian/tests/control ===
Tests: python-sphinx
Depends: python-sphinx,
         python-enum34,
         python-html5lib,
         python-pygments (>= 2.1.1),
         python-pytest,
         python-mock,
         python-xapian,
         python-whoosh,
         texlive-latex-extra,
         texlive-fonts-recommended,
         texlive-luatex,
         texlive-xetex,
         texinfo,
         dvipng,
         graphviz

Tests: python3-sphinx
Depends: python3-sphinx,
         python3-html5lib,
         python3-pygments (>= 2.1.1),
         python3-pytest,
         python3-mock,
         python3-xapian,
         python3-whoosh,
         texlive-latex-extra,
         texlive-fonts-recommended,
         texlive-luatex,
         texlive-xetex,
         texinfo,
         dvipng,
         graphviz

Tests: sphinx-doc
Depends: sphinx-doc,
         python3-gi,
         gir1.2-webkit2-4.0 (>= 2.10),
         xauth,
         xvfb
Restrictions: allow-stderr

## sphinx 1.6.3

=== debian/changelog ===
sphinx (1.6.3-2) unstable; urgency=medium

  * Move sphinxcontrib-websupport from requirements to extras_require
    in setuptools metadata (no_require_websupport.diff).
  * Backport upstream patch to fix crash with new python2.7
    (upstream_fix_crash_on_parallel_build.diff; closes: #869098).
  * dh_sphinxdoc: Add support for singlehtml builds (closes: #872863).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Sep 2017 20:52:27 +0300

sphinx (1.6.3-1) experimental; urgency=medium

  * New upstream release (closes: #866789).
  * Update dependencies for the new release.
    - Drop python[3]-whoosh and python[3]-sqlalchemy build-dependencies.
      They were only needed for websupport tests, now skipped (see below).
    - Add build-dependency on python-typing (Python 2 only).
    - Add suggestion on latexmk, it is now used for LaTeX builds.
    - Add build-dependency and suggestion on imagemagick-6.q16 and
      librsvg2-bin, needed for imgconverter extension.
  * Update autopkgtest dependencies.
    - Add python[3]-sphinxcontrib.websupport.
    - Add python[3]-sqlalchemy.
  * Disable one more test that needs network in skip_tests_network.diff.
  * Move libjs-sphinxdoc package to javascript section.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Update debian/copyright from upstream LICENSE and AUTHORS files.
  * Skip running websupport tests during build, to avoid build-dependency
    loop with sphinxcontrib-websupport.
  * Remove useless FIXME comment from debian/rules.
  * Do not run tests with --verbose flag during build, to make the output
    easier to read.
  * Document the new --imported-members option in sphinx-autogen manpage.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Aug 2017 15:13:24 +0300

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,6 @@
   python-docutils (>= 0.11), python3-docutils (>= 0.11),
   python-pygments (>= 2.1.1), python3-pygments (>= 2.1.1),
   python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
-  python-sqlalchemy, python3-sqlalchemy,
-  python-whoosh, python3-whoosh,
   python-pytest, python3-pytest,
   python-mock, python3-mock,
   python-babel (>= 1.3), python3-babel (>= 1.3),
@@ -22,12 +20,13 @@
   python-imagesize, python3-imagesize,
   python-requests (>= 2.4.0), python3-requests (>= 2.4.0),
   python-html5lib, python3-html5lib,
-  python-enum34,
+  python-enum34, python-typing,
   libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
   texlive-luatex, texlive-xetex,
   dvipng,
   graphviz,
+  imagemagick-6.q16, librsvg2-bin,
   perl
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
@@ -53,6 +52,8 @@
   libjs-mathjax, dvipng,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
   texlive-generic-extra,
+  latexmk,
+  imagemagick-6.q16,
   sphinx-doc
 Breaks:
   python-sphinxcontrib.issuetracker (<< 0.11-1),
@@ -90,6 +91,8 @@
   libjs-mathjax, dvipng,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
   texlive-generic-extra,
+  latexmk,
+  imagemagick-6.q16,
   sphinx-doc
 Description: documentation generator for Python projects (implemented in Python 3)
  Sphinx is a tool for producing documentation for Python projects, using
@@ -133,7 +136,7 @@
  This package includes documentation of Sphinx itself.
 
 Package: libjs-sphinxdoc
-Section: web
+Section: javascript
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1)

=== debian/rules ===
--- 
+++ 
@@ -56,13 +56,12 @@
 	python3 setup.py build --build-lib build/py3/
 	python setup.py compile_catalog
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
-	# FIXME: https://github.com/sphinx-doc/sphinx/issues/703
 	export LC_ALL=C.UTF-8 && \
 	set -ex; for py in $(shell pyversions -r) $(shell py3versions -r); do \
 		if [ "$$py" \< "python3.5" ]; then \
-			$$py tests/run.py --verbose --ignore tests/py35; \
+			$$py tests/run.py --ignore tests/test_websupport.py --ignore tests/test_api_translator.py --ignore tests/py35; \
 		else \
-			$$py tests/run.py --verbose; \
+			$$py tests/run.py --ignore tests/test_websupport.py --ignore tests/test_api_translator.py; \
 		fi; \
 	done
 	rm -rf build/py2/tests/ build/py3/tests/

=== debian/tests/control ===
--- 
+++ 
@@ -7,12 +7,16 @@
          python-mock,
          python-xapian,
          python-whoosh,
+         python-sphinxcontrib.websupport,
+         python-sqlalchemy (>= 0.9),
          texlive-latex-extra,
          texlive-fonts-recommended,
          texlive-luatex,
          texlive-xetex,
          texinfo,
          dvipng,
+         imagemagick-6.q16,
+         librsvg2-bin,
          graphviz
 
 Tests: python3-sphinx
@@ -23,12 +27,16 @@
          python3-mock,
          python3-xapian,
          python3-whoosh,
+         python3-sphinxcontrib.websupport,
+         python3-sqlalchemy (>= 0.9),
          texlive-latex-extra,
          texlive-fonts-recommended,
          texlive-luatex,
          texlive-xetex,
          texinfo,
          dvipng,
+         imagemagick-6.q16,
+         librsvg2-bin,
          graphviz
 
 Tests: sphinx-doc

## sphinx 1.6.4

=== debian/changelog ===
sphinx (1.6.4-2) unstable; urgency=medium

  * Add a note that dh_sphinxdoc does not actually build the documentation
    to its manpage.
  * Backport upstream patch to fix wrong AssertionError in C++ domain
    (cpp_no_assert.diff; closes: #877014).
  * Backport upstream patch to make searchtools.js work with pre-Sphinx 1.5
    templates (sourcelink_suffix_fallback.diff).
  * Update dh_sphinxdoc for the above change: there is no more need to error
    about missing SOURCELINK_SUFFIX.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Oct 2017 11:53:44 +0700

sphinx (1.6.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes incorrect return status in sphinx-build (closes: #876048).
  * Drop upstream_fix_crash_on_parallel_build.diff, applied upstream.
  * dh_sphinxdoc: Turn warning about missing SOURCELINK_SUFFIX to an error.
  * Change sphinx-common trigger from interest to interest-noawait.
  * Bump Standards-Version to 4.1.0, no changes needed.
  * Use pkg-info.mk to retrieve the upstream version number.
  * Use python3 to build our own documentation.
  * Add support for nodoc build profile.
  * Add python3-sphinxcontrib.websupport to build-dependencies for docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Sep 2017 17:47:54 +0300

## sphinx 1.6.5

=== debian/changelog ===
sphinx (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop cpp_no_assert and sourcelink_suffix_fallback.diff, applied in the
    new release.
  * dh_sphinxdoc: In singlehtml check, consider only HTML files that use
    doctools.js (closes: #872863).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Oct 2017 12:21:59 +0300

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python,
   dh-strip-nondeterminism,
+  dpkg-dev (>= 1.17.14),
   python-all (>= 2.6.6-4~), python3-all (>= 3.3.3-1~),
   python-six (>= 1.5), python3-six (>= 1.5),
   python-setuptools (>= 0.6c5-1~), python3-setuptools,
@@ -21,6 +22,7 @@
   python-requests (>= 2.4.0), python3-requests (>= 2.4.0),
   python-html5lib, python3-html5lib,
   python-enum34, python-typing,
+  python3-sphinxcontrib.websupport <!nodoc>,
   libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
   texlive-luatex, texlive-xetex,
@@ -30,7 +32,7 @@
   perl
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git
 
@@ -124,6 +126,7 @@
  files.
 
 Package: sphinx-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Conflicts: python-sphinx (<< 1.1)

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,12 @@
 # -*- makefile -*-
 
 include /usr/share/python/python.mk
+include /usr/share/dpkg/pkg-info.mk
 
 export NO_PKG_MANGLE=1
 export PYTHONWARNINGS=d
 export PYTHONHASHSEED=random
 export http_proxy=http://127.0.0.1:9/
-
-here = $(dir $(firstword $(MAKEFILE_LIST)))/..
-debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
-upstream_version = $(subst ~,,$(firstword $(subst -, ,$(debian_version))))
 
 locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))
 scripts = $(sort $(basename $(wildcard sphinx-*.py)))
@@ -45,13 +42,15 @@
 	touch $(@)
 
 build-stamp: sphinx-build.py build/javascript-stamp
-	python ./sphinx-build.py -T doc build/html/
+ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
+	python3 ./sphinx-build.py -T doc build/html/
 	rm -f build/html/_static/jquery-*.js build/html/_static/underscore-*.js
 	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
 		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
 	rm -rf build/man
 	cp -rl build/html build/man
-	python ./sphinx-build.py -T -b man doc build/man
+	python3 ./sphinx-build.py -T -b man doc build/man
+endif
 	python setup.py build --build-lib build/py2/
 	python3 setup.py build --build-lib build/py3/
 	python setup.py compile_catalog
@@ -148,13 +147,17 @@
 	dh_installchangelogs CHANGES
 	dh_installdocs
 	dh_lintian
+ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
 	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
+endif
 	dh_installexamples
 	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
-ifneq ($(shell grep -h '^[.]TH' debian/*.1 | cut -d ' ' -f 6-7 | sort -u), "Sphinx $(upstream_version)")
+ifneq ($(shell grep -h '^[.]TH' debian/*.1 | cut -d ' ' -f 6-7 | sort -u), "Sphinx $(DEB_VERSION_UPSTREAM)")
 	$(warning W: version numbers in the manual pages are out of date)
 endif
+ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
 	dh_installman
+endif
 	dh_python2 -p python-sphinx
 	dh_python3 -p python3-sphinx --no-guessing-deps
 	dh_strip_nondeterminism

## sphinx 1.6.6

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,14 @@
 PYTHON ?= python
 
-.PHONY: all style-check clean clean-pyc clean-patchfiles clean-backupfiles \
+.PHONY: all style-check type-check clean clean-pyc clean-patchfiles clean-backupfiles \
         clean-generated pylint reindent test covertest build
 
-DONT_CHECK = -i build -i dist -i sphinx/style/jquery.js \
-             -i sphinx/pycode/pgen2 -i sphinx/util/smartypants.py \
-             -i .ropeproject -i doc/_build -i tests/path.py \
-             -i utils/convert.py \
-             -i tests/typing_test_data.py \
-             -i tests/test_autodoc_py35.py \
-             -i tests/roots/test-warnings/undecodable.rst \
-             -i tests/build \
-             -i tests/roots/test-warnings/undecodable.rst \
+DONT_CHECK = -i .ropeproject \
+             -i .tox \
+             -i build \
+             -i dist \
+             -i doc/_build \
+             -i sphinx/pycode/pgen2 \
              -i sphinx/search/da.py \
              -i sphinx/search/de.py \
              -i sphinx/search/en.py \
@@ -28,12 +25,23 @@
              -i sphinx/search/ru.py \
              -i sphinx/search/sv.py \
              -i sphinx/search/tr.py \
-             -i .tox
+             -i sphinx/style/jquery.js \
+             -i sphinx/util/smartypants.py \
+             -i tests/build \
+             -i tests/path.py \
+             -i tests/roots/test-directive-code/target.py \
+             -i tests/roots/test-warnings/undecodable.rst \
+             -i tests/test_autodoc_py35.py \
+             -i tests/typing_test_data.py \
+             -i utils/convert.py
 
-all: clean-pyc clean-backupfiles style-check test
+all: clean-pyc clean-backupfiles style-check type-check test
 
 style-check:
-	@$(PYTHON) utils/check_sources.py $(DONT_CHECK) .
+	@PYTHONWARNINGS=all $(PYTHON) utils/check_sources.py $(DONT_CHECK) .
+
+type-check:
+	mypy sphinx/
 
 clean: clean-pyc clean-pycache clean-patchfiles clean-backupfiles clean-generated clean-testfiles clean-buildfiles clean-mypyfiles

=== debian/changelog ===
sphinx (1.6.6-2) unstable; urgency=medium

  * Backport upstream patch to add optional section numbering in plain
    text output (closes: #872868).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jan 2018 21:51:28 +0300

sphinx (1.6.6-1) unstable; urgency=medium

  * New upstream release (closes: #881923).
  * Drop reproducible_dicts.diff and reproducible_htmlhelp.diff, applied
    in the new release.
  * Refresh other patches.
  * Remove trailing whitespace from debian/control and debian/rules.
  * Rewrite debian/copyright using the machine-readable format 1.0.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 11 Jan 2018 16:07:07 +0300

sphinx (1.6.5-4) unstable; urgency=medium

  * Change python3.6-2to3 dependencies to python3-lib2to3.
  * Backport upstream reproducibility fix for htmlhelp and qthelp builders
    (reproducible_htmlhelp.diff; closes: #884010).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Dec 2017 14:04:30 +0300

sphinx (1.6.5-3) unstable; urgency=medium

  * Make python3-sphinx depend on python3.6-2to3, where lib2to3 is shipped
    since python3.6 3.6.4~rc1-2. It will be replaced with a more generic
    dependency later.
  * Also build-depend on python3.6-2to3, to make the tests pass.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Dec 2017 17:03:53 +0300

sphinx (1.6.5-2) unstable; urgency=medium

  * Backport two upstream patches to improve builds reproducibility:
    - reproducible_dicts.diff to sort dictionary keys (closes: #877637).
    - reproducible_epub.diff to make EPUB generation reproducible.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Oct 2017 19:12:40 +0300

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
   dh-strip-nondeterminism,
   dpkg-dev (>= 1.17.14),
   python-all (>= 2.6.6-4~), python3-all (>= 3.3.3-1~),
+  python3-lib2to3,
   python-six (>= 1.5), python3-six (>= 1.5),
   python-setuptools (>= 0.6c5-1~), python3-setuptools,
   python-docutils (>= 0.11), python3-docutils (>= 0.11),
@@ -32,7 +33,7 @@
   perl
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git
 
@@ -78,6 +79,7 @@
 Package: python3-sphinx
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+  python3-lib2to3,
   python3-six (>= 1.5),
   python3-docutils (>= 0.11),
   python3-pygments (>= 2.0),
@@ -113,7 +115,7 @@
 
 Package: sphinx-common
 Architecture: all
-Depends: ${misc:Depends}, 
+Depends: ${misc:Depends},
   libjs-sphinxdoc (= ${source:Version})
 Recommends: python-sphinx | python3-sphinx
 Conflicts: python-sphinx (<< 1.1)

## sphinx 1.6.7

=== debian/changelog ===
sphinx (1.6.7-1ubuntu1) bionic; urgency=medium

  * Add python3-distutils to autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 23:10:19 +0200

sphinx (1.6.7-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update debhelper compat level to 11.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Feb 2018 22:08:38 +0300

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 .PHONY: clean
 clean:
-	dh_clean 
+	dh_clean
 	find . -name '*.py[co]' -delete
 	rm -rf build tests/build
 	rm -f $(basename $(wildcard debian/*.in))
@@ -35,7 +35,7 @@
 
 sphinx/themes/basic/static/%.js:
 	ln -sf /usr/share/javascript/$(*)/$(*).js $(@)
-       
+
 build/javascript-stamp: $(addprefix sphinx/themes/basic/static/,jquery.js underscore.js)
 	echo $(^) | xargs -n1 | xargs -t -I {} [ -L {} ]
 	mkdir -p $(dir $@)

=== debian/tests/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 Tests: python3-sphinx
 Depends: python3-sphinx,
+         python3-distutils,
          python3-html5lib,
          python3-pygments (>= 2.1.1),
          python3-pytest,

## sphinx 1.7.1

=== debian/changelog ===
sphinx (1.7.1-1) experimental; urgency=medium

  * New upstream release (closes: #890581).
    - No longer bundles a copy of pgen2 (closes: #609485).
  * Drop reproducible_epub.diff and text_section_numbering.diff, applied
    in the new release.
  * Refresh and rebase other patches.
  * Build-depend and depend on python[3]-packaging.
  * Update commands to build docs and run tests.
  * All scripts are now setuptools entrypoints, update the code accordingly.
  * Update debian/copyright.
  * dh_sphinxdoc: Support standalone documentation_options.js files.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Use upstream sphinx-autogen(1) manpage.
  * Set PYTHONPATH to current directory when running the tests.
  * Set PYTHONPATH when running the install-js script.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Mar 2018 12:20:20 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: http://sphinx-doc.org/
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: dh-python,
   dh-strip-nondeterminism,
   dpkg-dev (>= 1.17.14),
@@ -23,6 +23,7 @@
   python-requests (>= 2.4.0), python3-requests (>= 2.4.0),
   python-html5lib, python3-html5lib,
   python-enum34, python-typing,
+  python-packaging, python3-packaging,
   python3-sphinxcontrib.websupport <!nodoc>,
   libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
@@ -34,8 +35,8 @@
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx
 
 Package: python-sphinx
 Architecture: all
@@ -48,6 +49,7 @@
   python-alabaster (>= 0.7),
   python-imagesize,
   python-requests (>= 2.4.0),
+  python-packaging,
   sphinx-common (= ${source:Version})
 Recommends: python-enum34, python-pil
 Suggests:
@@ -88,6 +90,7 @@
   python3-alabaster (>= 0.7),
   python3-imagesize,
   python3-requests (>= 2.4.0),
+  python3-packaging,
   sphinx-common (= ${source:Version})
 Recommends: python3-pil
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/python/python.mk

export NO_PKG_MANGLE=1
export PYTHONWARNINGS=d
export PYTHONHASHSEED=random
export http_proxy=http://127.0.0.1:9/

locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))
scripts = sphinx-apidoc sphinx-autogen sphinx-build sphinx-quickstart

debroot = debian/tmp/
py2_libdir = $(call py_libdir,$(shell pyversions -d))
py3_libdir = $(call py_libdir,$(shell py3versions -d))
javascript_path = /usr/share/javascript/sphinxdoc/1.0/

.PHONY: clean
clean:
	dh_clean
	find . -name '*.py[co]' -delete
	rm -rf build tests/build
	rm -f $(basename $(wildcard debian/*.in))
	rm -f sphinx/locale/*/LC_MESSAGES/sphinx.js
	rm -f sphinx/locale/.DS_Store
	rm -rf sphinx/locale/.tx
	rm -f Sphinx.egg-info/SOURCES.txt Sphinx.egg-info/*-e
	rm -f sphinx/texinputs/needspace.sty

.PHONY: build build-arch build-indep
build build-indep: build-stamp

sphinx/themes/basic/static/%.js:
	ln -sf /usr/share/javascript/$(*)/$(*).js $(@)

build/javascript-stamp: $(addprefix sphinx/themes/basic/static/,jquery.js underscore.js)
	echo $(^) | xargs -n1 | xargs -t -I {} [ -L {} ]
	mkdir -p $(dir $@)
	touch $(@)

build-stamp: sphinx/cmd/build.py build/javascript-stamp
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	python3 ./sphinx/cmd/build.py -T doc build/html/
	rm -f build/html/_static/jquery-*.js build/html/_static/underscore-*.js
	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
	rm -rf build/man
	cp -rl build/html build/man
	python3 ./sphinx/cmd/build.py -T -b man doc build/man
endif
	python setup.py build --build-lib build/py2/
	python3 setup.py build --build-lib build/py3/
	python setup.py compile_catalog
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	export LC_ALL=C.UTF-8 && \
	export PYTHONPATH=$(CURDIR) && \
	set -ex; for py in $(shell pyversions -r) $(shell py3versions -r); do \
		$$py -m pytest --ignore tests/test_websupport.py --ignore tests/test_api_translator.py; \
	done
	rm -rf build/py2/tests/ build/py3/tests/
endif
	touch build-stamp

.PHONY: binary binary-arch binary-indep
binary binary-indep: build-stamp
	dh_testroot
	dh_installdirs
	python setup.py \
		build --build-lib build/py2/ \
		install --no-compile --install-layout=deb --root $(debroot) \
		--install-scripts usr/share/sphinx/scripts/python2
	python3 setup.py \
		build --build-lib build/py3/ \
		install --no-compile --install-layout=deb --root $(debroot) \
		--install-scripts usr/share/sphinx/scripts/python3
	rm -f $(debroot)/usr/lib/python*/*-packages/Sphinx-*.egg-info/SOURCES.txt
	# move static files outside dist-packages
	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
		$(debroot)$(py2_libdir)/sphinx/__init__.py \
		$(debroot)$(py3_libdir)/sphinx/__init__.py
	cd $(debroot) && mv -t usr/share/sphinx/ \
		.$(py2_libdir)/sphinx/templates \
		.$(py2_libdir)/sphinx/texinputs \
		.$(py2_libdir)/sphinx/themes
	mkdir -p $(debroot)/usr/share/sphinx/ext/autosummary/
	cd $(debroot) && mv -t usr/share/sphinx/ext/autosummary/ \
		.$(py2_libdir)/sphinx/ext/autosummary/templates
	mkdir -p $(debroot)/usr/share/sphinx/search/
	cd $(debroot) && mv -t usr/share/sphinx/search/ \
		.$(py2_libdir)/sphinx/search/non-minified-js
	cd $(debroot)$(py3_libdir)/sphinx/ && \
		rm -rf templates/ texinputs/ themes/ ext/autosummary/templates/ \
			search/non-minified-js/
	set -e -x; \
	cd $(debroot) && \
		for lang in $(locales); \
		do \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js \
				usr/share/sphinx/locale/$$lang/sphinx.js; \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo \
				usr/share/locale/$$lang/LC_MESSAGES/sphinx.mo; \
		done
	cd $(debroot)$(py2_libdir)/sphinx/locale && rm -rf sphinx.pot */
	cd $(debroot)$(py3_libdir)/sphinx/locale && rm -rf sphinx.pot */
	set -e -x; \
	for maintscript in $(wildcard debian/sphinx-common.*.in); do \
		sed -e 's/@SCRIPTS@/$(scripts)/' $$maintscript > $${maintscript%.in}; \
	done
	# Move JavaScript code to libjs-sphinxdoc:
	PYTHONPATH=$(CURDIR) debian/dh-sphinxdoc/install-js debian/libjs-sphinxdoc$(javascript_path)
	rm -f $(debroot)/usr/share/sphinx/themes/basic/static/underscore-*.js
	rm -f $(debroot)/usr/share/sphinx/themes/basic/static/jquery-*.js
	rm -f $(debroot)/usr/share/sphinx/themes/bizstyle/static/css3-mediaqueries_src.js
	set -e; \
	for js in $$(find $(debroot)/usr/share/sphinx/themes/ -name '*.js' -a '!' -name 'websupport.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done
	dh_install -p sphinx-common -X /scripts/
	dh_install -N sphinx-common --fail-missing
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_lintian
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
endif
	dh_installexamples
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	dh_installman
endif
	dh_python2 -p python-sphinx
	dh_python3 -p python3-sphinx --no-guessing-deps
	dh_strip_nondeterminism
	dh_compress -X.py -X.rst -X.json -X.txt
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet
